Bug 841041 - [abrt] yumex-3.0.5-2.fc17: rpmsack.py:202:RPMDBPackageSack:AttributeError: 'str' object has no attribute 'RPMTAG_PROVIDEFLAGS'
[abrt] yumex-3.0.5-2.fc17: rpmsack.py:202:RPMDBPackageSack:AttributeError: 's...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:20641a7a5857d6290572aa4efa6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 20:08 EDT by mdmpsyd@gmail.com
Modified: 2012-09-21 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 13:33:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mdmpsyd@gmail.com 2012-07-17 20:08:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -tt /usr/bin/yumex
executable:     /usr/bin/yumex
kernel:         3.4.4-5.fc17.x86_64
time:           Tue 17 Jul 2012 08:07:35 PM EDT
uid:            1000
username:       mark

backtrace:
:rpmsack.py:202:RPMDBPackageSack:AttributeError: 'str' object has no attribute 'RPMTAG_PROVIDEFLAGS'
:
:Traceback (most recent call last):
:  File "/usr/bin/yumex", line 25, in <module>
:    from yumexgui import YumexApplication
:  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 34, in <module>
:    from yumexgui.gui import Notebook, PackageInfo, CompletedEntry, YumexStatusIcon
:  File "/usr/lib/python2.7/site-packages/yumexgui/gui.py", line 30, in <module>
:    from yumexbase.constants import *
:  File "/usr/lib/python2.7/site-packages/yumexbase/constants.py", line 35, in <module>
:    from yum.constants import *
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 60, in <module>
:    import rpmsack
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 191, in <module>
:    class RPMDBPackageSack(PackageSackBase):
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 202, in RPMDBPackageSack
:    rpm.RPMTAG_PROVIDEFLAGS),
:AttributeError: 'str' object has no attribute 'RPMTAG_PROVIDEFLAGS'
:
:Local variables in innermost frame:
:__module__: 'yum.rpmsack'
:__doc__: '\n    Represent rpmdb as a packagesack\n    '

smolt_data:
:
:
:General
:=================================
:UUID: 7088e2d1-dffb-4cc3-9b89-469f2d0ef379
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3990.03
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 2943
:System Swap: 4991
:Vendor: Hewlett-Packard
:System: HP G60 Notebook PC F.35
:Form factor: Notebook
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10521:4156:13835) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(5772:42:4156:4993) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10818:4156:13835) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4156:13835) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(4332:33078:4156:13835) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10546:4156:13835) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:10558:4156:13835) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4156:13835) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4156:13835) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4156:13835) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10548:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4156:13835) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_laptop-lv_root / ext4 4096 4096 13081025 8316367 7661007 3276800 2591350 2591350
:/dev/sda2 /boot ext4 1024 1024 508644 401512 375912 128016 127645 127645
:/dev/mapper/vg_laptop-lv_home /home ext4 4096 4096 63549181 28610907 25429544 15908864 15779491 15779491
:
Comment 1 Tim Lauridsen 2012-07-18 05:00:57 EDT
try doing a "yum list updates" as root 
to see if you get the same issue

Note You need to log in before you can comment on or make changes to this bug.